org.bdgenomics.adam.projections

# VariantAnnotationField

###
Related Doc: package projections

#### object VariantAnnotationField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantAnnotationField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

   An enumerated field that is part of this schema.

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### val alleleCount: SchemaVal

10. #### val alleleFrequency: SchemaVal

11. #### val ancestralAllele: SchemaVal

12. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

13. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

14. #### val attributes: SchemaVal

15. #### val cigar: SchemaVal

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### val dbSnp: SchemaVal

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### val forwardReadDepth: SchemaVal

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### val hapMap2: SchemaVal

24. #### val hapMap3: SchemaVal

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def maxId: Int

    Definition Classes
      Enumeration

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

30. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val readDepth: SchemaVal

34. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

35. #### val recordSchema: Schema

    The schema that this enumeration represents.

    The schema that this enumeration represents.

    Definition Classes
      FieldEnumeration

36. #### val referenceForwardReadDepth: SchemaVal

37. #### val referenceReadDepth: SchemaVal

38. #### val referenceReverseReadDepth: SchemaVal

39. #### val reverseReadDepth: SchemaVal

40. #### val somatic: SchemaVal

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### val thousandGenomes: SchemaVal

43. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

44. #### val transcriptEffects: SchemaVal

45. #### val validated: SchemaVal

46. #### def values: ValueSet

    Definition Classes
      Enumeration

47. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped